<?php
/**
 * The template part for displaying a message that posts cannot be found.
 *
 * @package Nu Themes
 */
?>

<section class="no-results not-found">
	<header class="page-header">
		<h1 class="page-title"><?php _e( 'Ничего не найдено', 'nuthemes' ); ?></h1>
	<!-- .page-header --></header>

	<div class="page-content">
		<?php if ( is_home() && current_user_can( 'publish_posts' ) ) : ?>

			<p><?php printf( __( 'Готовы опубликовать свою первую запись? <a href="%1$s">Вперед</a>.', 'nuthemes' ), esc_url( admin_url( 'post-new.php' ) ) ); ?></p>

		<?php elseif ( is_search() ) : ?>

			<p><?php _e( 'К сожалению, ничего не найдено.', 'nuthemes' ); ?></p>
			<?php get_search_form(); ?>

		<?php else : ?>

			<p><?php _e( 'К сожалению, ничего не найдено.', 'nuthemes' ); ?></p>
			<?php get_search_form(); ?>

		<?php endif; ?>
	<!-- .page-content --></div>
<!-- .no-results --></section>